#course-preview {
    display: flex;
    flex-direction: column;
}

#course-preview * .title {
    font-size: 0.8rem;
    font-weight: 700;
    margin-bottom: 20px;
}

#course-preview .includes .item {
    display: flex;
    margin-bottom: 20px;
}

#course-preview .includes .item .tags a {
    text-decoration: underline;
    color: var(--course-secondary-button);
}

#course-preview .includes .item .icon {
    background-color: var(--color-bold);
    padding: 10px;
    border-radius: 10px;
    margin-right: 20px;
    color: white;
    font-size: 1.3rem;
    min-width: 2.8rem;
    width: 2.8rem;
    height: 2.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

#course-preview .includes .item .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#course-preview .includes .item .text .category {
    font-size: 0.7rem;
    font-weight: 600;
    margin-bottom: 0px;
}

#course-preview .includes .item .text .tags {
    color: var(--course-secondary-button);
    font-size: 0.7rem;
    font-weight: 500;
}

#course-preview .includes .item .text .tags p {
    margin-bottom: 0;
}

#course-preview .resources .item {
    color: var(--course-secondary-button);
    border: 1px solid var(--course-secondary-button);
    border-radius: 10px;
    padding: 10px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
}

#course-preview .resources .item:hover {
    background-color: var(--course-secondary-button);
    color: white;
}

#course-preview .resources .empty-resource-item {
    pointer-events: none;
}

#course-preview .resources .item .icon {
    margin-right: 10px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.9rem;
}

#course-preview .resources .item .label {
    font-size: 0.7rem;
    font-weight: 500;
}

#course-preview .more-resources {
    font-size: 0.7rem;
    font-weight: 600;
    margin-block-end: 0;
    text-align: center;
}

#course-preview .more-resources a {
    text-decoration: underline;
    color: #191819;
}

@media only screen and (max-width: 75rem) {
    #course-preview .preview-content {
        display: grid;
        grid-template-columns: 3fr 2fr;
        gap: 1rem;
        width: 100%;
    }
}

@media only screen and (max-width: 53rem) {
    #course-preview {
        flex-direction: column;
        align-items: center;
    }

    #course-preview .preview-content {
        display: block;
        width: auto;
    }
}
